Bug 1412249 - [abrt] pykickstart: version.py:139:stringToVersion:pykickstart.errors.KickstartVersionError: Použita nepodporovaná verze: F26
Summary: [abrt] pykickstart: version.py:139:stringToVersion:pykickstart.errors.Kicksta...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pykickstart
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3df9d9785248fd3b39255239cc8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-11 15:40 UTC by Miro Hrončok
Modified: 2017-04-17 15:53 UTC (History)
2 users (show)

Fixed In Version: pykickstart-2.34-1 pykickstart-2.34-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-17 15:53:39 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.14 KB, text/plain)
2017-01-11 15:40 UTC, Miro Hrončok
no flags Details
File: environ (3.65 KB, text/plain)
2017-01-11 15:40 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2017-01-11 15:40:20 UTC
Description of problem:
ksflatten -v, --config fedora-live-workstation.ks -o flat-fedora-live-workstation.ks --version F26

Version-Release number of selected component:
pykickstart-2.32-1.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /usr/bin/ksflatten -v, --config fedora-live-workstation.ks -o flat-fedora-live-workstation.ks --version F26
executable:     /usr/bin/ksflatten
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
version.py:139:stringToVersion:pykickstart.errors.KickstartVersionError: Použita nepodporovaná verze: F26

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/pykickstart/version.py", line 181, in returnClassForVersion
    version = int(version)
ValueError: invalid literal for int() with base 10: 'F26'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/ksflatten", line 73, in <module>
    main()
  File "/usr/bin/ksflatten", line 49, in main
    ksversion = makeVersion(opts.version)
  File "/usr/lib/python3.5/site-packages/pykickstart/version.py", line 207, in makeVersion
    cl = returnClassForVersion(version)
  File "/usr/lib/python3.5/site-packages/pykickstart/version.py", line 185, in returnClassForVersion
    version = stringToVersion(cast(str, version))
  File "/usr/lib/python3.5/site-packages/pykickstart/version.py", line 139, in stringToVersion
    raise KickstartVersionError(_("Unsupported version specified: %s") % s)
pykickstart.errors.KickstartVersionError: Použita nepodporovaná verze: F26

Local variables in innermost frame:
m: None
s: 'F26'

Comment 1 Miro Hrončok 2017-01-11 15:40:26 UTC
Created attachment 1239506 [details]
File: backtrace

Comment 2 Miro Hrončok 2017-01-11 15:40:28 UTC
Created attachment 1239507 [details]
File: environ

Comment 3 Miro Hrončok 2017-01-11 15:42:07 UTC
The app should not traceback on the user when the version is invalid.

Comment 4 Chris Lumens 2017-01-11 16:37:26 UTC
Thanks for the bug report - I've fixed this on master and pykickstart-2 branches.  It'll be fixed in pykickstart-2.34-1, which I will probably build today or at least in the next several days.

Comment 5 Miro Hrončok 2017-01-11 23:31:59 UTC
Thanks. Just curious - What's the reason behind localizing messages in exceptions?

Comment 6 Fedora Update System 2017-04-16 23:21:25 UTC
pykickstart-2.34-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fa3fe5de83

Comment 7 Fedora Update System 2017-04-17 15:53:39 UTC
pykickstart-2.34-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.